- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RakNetStatisticsStruct Struct Reference

Network Statisics Usage. More...

`#include <RakNetStatistics.h>`

List of all members.

## Public Member Functions
RakNetStatisticsStruct | operator+= (const RakNetStatisticsStruct &other)
## Public Attributes
unsigned | messageSendBuffer [NUMBER_OF_PRIORITIES]
| Number of Messages in the send Buffer (high, medium, low priority).
unsigned | messagesSent [NUMBER_OF_PRIORITIES]
| Number of messages sent (high, medium, low priority).
unsigned | messageDataBitsSent [NUMBER_OF_PRIORITIES]
| Number of data bits used for user messages.
unsigned | messageTotalBitsSent [NUMBER_OF_PRIORITIES]
| Number of total bits used for user messages, including headers.
unsigned | packetsContainingOnlyAcknowlegements
| Number of packets sent containing only acknowledgements.
unsigned | acknowlegementsSent
| Number of acknowledgements sent.
unsigned | acknowlegementsPending
| Number of acknowledgements waiting to be sent.
unsigned | acknowlegementBitsSent
| Number of acknowledgements bits sent.
unsigned | packetsContainingOnlyAcknowlegementsAndResends
| Number of packets containing only acknowledgements and resends.
unsigned | messageResends
| Number of messages resent.
unsigned | messageDataBitsResent
| Number of bits resent of actual data.
unsigned | messagesTotalBitsResent
| Total number of bits resent, including headers.
unsigned | messagesOnResendQueue
| Number of messages waiting for ack (// TODO - rename this).
unsigned | numberOfUnsplitMessages
| Number of messages not split for sending.
unsigned | numberOfSplitMessages
| Number of messages split for sending.
unsigned | totalSplits
| Total number of splits done for sending.
unsigned | packetsSent
| Total packets sent.
unsigned | encryptionBitsSent
| Number of bits added by encryption.
unsigned | totalBitsSent
| total bits sent
unsigned | sequencedMessagesOutOfOrder
| Number of sequenced messages arrived out of order.
unsigned | sequencedMessagesInOrder
| Number of sequenced messages arrived in order.
unsigned | orderedMessagesOutOfOrder
| Number of ordered messages arrived out of order.
unsigned | orderedMessagesInOrder
| Number of ordered messages arrived in order.
unsigned | packetsReceived
| Packets with a good CRC received.
unsigned | packetsWithBadCRCReceived
| Packets with a bad CRC received.
unsigned | bitsReceived
| Bits with a good CRC received.
unsigned | bitsWithBadCRCReceived
| Bits with a bad CRC received.
unsigned | acknowlegementsReceived
| Number of acknowledgement messages received for packets we are resending.
unsigned | duplicateAcknowlegementsReceived
| Number of acknowledgement messages received for packets we are not resending.
unsigned | messagesReceived
| Number of data messages (anything other than an ack) received that are valid and not duplicate.
unsigned | invalidMessagesReceived
| Number of data messages (anything other than an ack) received that are invalid.
unsigned | duplicateMessagesReceived
| Number of data messages (anything other than an ack) received that are duplicate.
unsigned | messagesWaitingForReassembly
| Number of messages waiting for reassembly.
unsigned | internalOutputQueueSize
| Number of messages in reliability output queue.
double | bitsPerSecond
| Current bits per second.
RakNetTime | connectionStartTime
| connection start time

## Detailed Description

Network Statisics Usage.

Store Statistics information related to network usage

The documentation for this struct was generated from the following file:

- C:/RakNet 2.518/Include/RakNetStatistics.h